<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE ejb-jar PUBLIC "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" "http://java.sun.com/dtd/ejb-jar_2_0.dtd">

   <ejb-jar id="EJBJar_1028677739985">
      <description>Manufacturing Domain</description>
      <display-name>Mfg</display-name>
      <enterprise-beans>
         <entity id="ContainerManagedEntity_1028685927848">
            <description>Assembly Entity Bean</description>
            <display-name>AssemblyEnt</display-name>
            <ejb-name>AssemblyEnt</ejb-name>
            <local-home>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyEntHomeLocal</local-home>
            <local>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyEntLocal</local>
            <ejb-class>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.String</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>AssemblyEnt</abstract-schema-name>
            <cmp-field id="CMPAttribute_1028686168674">
               <field-name>id</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686171148">
               <field-name>name</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686173672">
               <field-name>description</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686177497">
               <field-name>revision</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686179870">
               <field-name>planner</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686182604">
               <field-name>type</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686185108">
               <field-name>purchased</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686188032">
               <field-name>lomark</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686191077">
               <field-name>himark</field-name>
            </cmp-field>
            <primkey-field>id</primkey-field>
            <env-entry id="EnvEntry_1">
               <description>The debug level of the bean - higher
                value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref id="EJBLocalRef_1028686927295">
               <ejb-ref-name>ejb/InventoryEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.inventoryent.ejb.InventoryEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.inventoryent.ejb.InventoryEntLocal</local>
               <ejb-link>InventoryEnt</ejb-link>
            </ejb-local-ref>
            <ejb-local-ref id="EJBLocalRef_1051722637537">
            	<ejb-ref-name>ejb/BomEntLocal</ejb-ref-name>
            	<ejb-ref-type>Entity</ejb-ref-type>
            	<local-home>org.spec.jappserver.mfg.boment.ejb.BomEntHomeLocal</local-home>
            	<local>org.spec.jappserver.mfg.boment.ejb.BomEntLocal</local>
            	<ejb-link>BomEnt</ejb-link>
            </ejb-local-ref>
            <query id="Query_1">
               <query-method id="QueryMethod_1">
                  <method-name>findAll</method-name>
                  <method-params>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM AssemblyEnt AS a WHERE a.purchased = 1</ejb-ql>
            </query>
         </entity>
         <entity id="ContainerManagedEntity_1028685928068">
            <description>Bom Entity bean</description>
            <display-name>BomEnt</display-name>
            <ejb-name>BomEnt</ejb-name>
            <local-home>org.spec.jappserver.mfg.boment.ejb.BomEntHomeLocal</local-home>
            <local>org.spec.jappserver.mfg.boment.ejb.BomEntLocal</local>
            <ejb-class>org.spec.jappserver.mfg.boment.ejb.BomCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>org.spec.jappserver.mfg.boment.ejb.BomEntPK</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>BomEnt</abstract-schema-name>
            <cmp-field id="CMPAttribute_1028686135116">
               <field-name>assemblyId</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686137690">
               <field-name>componentId</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686140324">
               <field-name>lineNo</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686143028">
               <field-name>qty</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686146022">
               <field-name>engChange</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686149196">
               <field-name>opsNo</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686151880">
               <field-name>opsDesc</field-name>
            </cmp-field>
            <env-entry id="EnvEntry_2">
               <description>The debug level of the bean - higher
                value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref id="EJBLocalRef_1028686927355">
               <description>the Component Entity Bean</description>
               <ejb-ref-name>ejb/ComponentEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.componentent.ejb.ComponentEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.componentent.ejb.ComponentEntLocal</local>
               <ejb-link>ComponentEnt</ejb-link>
            </ejb-local-ref>
            <ejb-local-ref id="EJBLocalRef_1051722637607">
            	<ejb-ref-name>ejb/AssemblyEnt</ejb-ref-name>
            	<ejb-ref-type>Entity</ejb-ref-type>
            	<local-home>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyEntHomeLocal</local-home>
            	<local>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyEntLocal</local>
            	<ejb-link>AssemblyEnt</ejb-link>
            </ejb-local-ref>
            <query id="Query_2">
               <query-method id="QueryMethod_2">
                  <method-name>findBomForAssembly</method-name>
                  <method-params>
                     <method-param>java.lang.String</method-param>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM BomEnt AS a WHERE a.assemblyId = ?1</ejb-ql>
            </query>
            <query id="Query_3">
               <query-method id="QueryMethod_3">
                  <method-name>findAll</method-name>
                  <method-params>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM BomEnt AS a</ejb-ql>
            </query>
         </entity>
         <entity id="ContainerManagedEntity_1028685928088">
            <description>Component Entity Bean</description>
            <display-name>ComponentEnt</display-name>
            <ejb-name>ComponentEnt</ejb-name>
            <local-home>org.spec.jappserver.mfg.componentent.ejb.ComponentEntHomeLocal</local-home>
            <local>org.spec.jappserver.mfg.componentent.ejb.ComponentEntLocal</local>
            <ejb-class>org.spec.jappserver.mfg.componentent.ejb.ComponentCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.String</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>ComponentEnt</abstract-schema-name>
            <cmp-field id="CMPAttribute_1028686083622">
               <field-name>id</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686087868">
               <field-name>name</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686090752">
               <field-name>description</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686094097">
               <field-name>revision</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686096310">
               <field-name>planner</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686098934">
               <field-name>type</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686101267">
               <field-name>purchased</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686103911">
               <field-name>lomark</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686106395">
               <field-name>himark</field-name>
            </cmp-field>
            <primkey-field>id</primkey-field>
            <env-entry id="EnvEntry_3">
               <description>The debug level of the bean - higher
                value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref id="EJBLocalRef_1028686927395">
               <ejb-ref-name>ejb/InventoryEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.inventoryent.ejb.InventoryEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.inventoryent.ejb.InventoryEntLocal</local>
               <ejb-link>InventoryEnt</ejb-link>
            </ejb-local-ref>
            <query id="Query_4">
               <query-method id="QueryMethod_4">
                  <method-name>findAll</method-name>
                  <method-params>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM ComponentEnt AS a WHERE a.purchased = 2</ejb-ql>
            </query>
         </entity>
         <entity id="ContainerManagedEntity_1028685928108">
            <description>Part Entity Bean</description>
            <display-name>PartEnt</display-name>
            <ejb-name>PartEnt</ejb-name>
            <local-home>org.spec.jappserver.mfg.partent.ejb.PartEntHomeLocal</local-home>
            <local>org.spec.jappserver.mfg.partent.ejb.PartEntLocal</local>
            <ejb-class>org.spec.jappserver.mfg.partent.ejb.PartCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.String</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>PartEnt</abstract-schema-name>
            <cmp-field id="CMPAttribute_1028686050695">
               <field-name>id</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686053208">
               <field-name>name</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686055392">
               <field-name>description</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686057925">
               <field-name>revision</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686060549">
               <field-name>planner</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686062932">
               <field-name>type</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686065676">
               <field-name>purchased</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686067930">
               <field-name>lomark</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686071304">
               <field-name>himark</field-name>
            </cmp-field>
            <primkey-field>id</primkey-field>
            <env-entry id="EnvEntry_4">
               <description>The debug level of the bean - higher
                value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <query id="Query_5">
               <query-method id="QueryMethod_5">
                  <method-name>findAll</method-name>
                  <method-params>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM PartEnt AS a</ejb-ql>
            </query>
         </entity>
         <session id="Session_1028685930672">
            <description>Large Order Session Bean</description>
            <display-name>LargeOrderSes</display-name>
            <ejb-name>LargeOrderSes</ejb-name>
            <home>org.spec.jappserver.mfg.largeorderses.ejb.LargeOrderSesHome</home>
            <remote>org.spec.jappserver.mfg.largeorderses.ejb.LargeOrderSes</remote>
            <ejb-class>org.spec.jappserver.mfg.largeorderses.ejb.LargeOrderSesEJB</ejb-class>
            <session-type>Stateless</session-type>
            <transaction-type>Container</transaction-type>
            <env-entry id="EnvEntry_5">
               <description>The debug level of the bean - higher
           value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref id="EJBLocalRef_1028686927556">
               <description>the Large Order Entity Bean</description>
               <ejb-ref-name>ejb/LargeOrderEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntLocal</local>
               <ejb-link>LargeOrderEnt</ejb-link>
            </ejb-local-ref>
         </session>
         <entity id="ContainerManagedEntity_1028685928129">
            <description>Work Order Entity Bean</description>
            <display-name>WorkOrderEnt</display-name>
            <ejb-name>WorkOrderEnt</ejb-name>
            <local-home>org.spec.jappserver.mfg.workorderent.ejb.WorkOrderEntHomeLocal</local-home>
            <local>org.spec.jappserver.mfg.workorderent.ejb.WorkOrderEntLocal</local>
            <ejb-class>org.spec.jappserver.mfg.workorderent.ejb.WorkOrderCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.Integer</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>WorkOrderEnt</abstract-schema-name>
            <cmp-field id="CMPAttribute_1028686005139">
               <field-name>id</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686008915">
               <field-name>salesId</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686011478">
               <field-name>oLineId</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686014182">
               <field-name>status</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686017086">
               <field-name>origQty</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686023416">
               <field-name>compQty</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686020301">
               <field-name>assemblyId</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686027171">
               <field-name>dueDate</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028686030155">
               <field-name>startDate</field-name>
            </cmp-field>
            <primkey-field>id</primkey-field>
            <env-entry id="EnvEntry_6">
               <description>The debug level of the bean - higher
           value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-ref id="EjbRef_1028686927536">
               <ejb-ref-name>ejb/SequenceSes</ejb-ref-name>
               <ejb-ref-type>Session</ejb-ref-type>
               <home>org.spec.jappserver.util.sequenceses.ejb.SequenceSesHome</home>
               <remote>org.spec.jappserver.util.sequenceses.ejb.SequenceSes</remote>
               <ejb-link>SequenceSes</ejb-link>
            </ejb-ref>
            <ejb-local-ref id="EJBLocalRef_1028686927516">
               <description>the LargeOrder Entity Bean</description>
               <ejb-ref-name>ejb/LargeOrderEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntLocal</local>
               <ejb-link>LargeOrderEnt</ejb-link>
            </ejb-local-ref>
            <ejb-local-ref id="EJBLocalRef_1028686927496">
               <description>the Component Entity Bean</description>
               <ejb-ref-name>ejb/ComponentEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.componentent.ejb.ComponentEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.componentent.ejb.ComponentEntLocal</local>
               <ejb-link>ComponentEnt</ejb-link>
            </ejb-local-ref>
            <ejb-local-ref id="EJBLocalRef_1028686927486">
               <description>the Assembly Entity Bean</description>
               <ejb-ref-name>ejb/AssemblyEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyEntLocal</local>
               <ejb-link>AssemblyEnt</ejb-link>
            </ejb-local-ref>
            <resource-ref id="ResourceRef_1045845620159">
            	<description></description>
            	<res-ref-name>jms/QueueConnectionFactory</res-ref-name>
            	<res-type>javax.jms.QueueConnectionFactory</res-type>
            	<res-auth>Application</res-auth>
            	<res-sharing-scope>Shareable</res-sharing-scope>
            </resource-ref>
            <resource-env-ref id="ResourceEnvRef_1045845656561">
            	<description></description>
            	<resource-env-ref-name>jms/FulfillOrderQueue</resource-env-ref-name>
            	<resource-env-ref-type>javax.jms.Queue</resource-env-ref-type>
            </resource-env-ref>
            <resource-env-ref id="ResourceEnvRef_1045845637674">
            	<description></description>
            	<resource-env-ref-name>jms/BuyerQueue</resource-env-ref-name>
            	<resource-env-ref-type>javax.jms.Queue</resource-env-ref-type>
            </resource-env-ref>
            <query id="Query_6">
               <query-method id="QueryMethod_6">
                  <method-name>findAll</method-name>
                  <method-params>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM WorkOrderEnt AS a</ejb-ql>
            </query>
         </entity>
         <entity id="ContainerManagedEntity_1028685928149">
            <description>Large Order Entity bean</description>
            <display-name>LargeOrderEnt</display-name>
            <ejb-name>LargeOrderEnt</ejb-name>
            <local-home>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntHomeLocal</local-home>
            <local>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntLocal</local>
            <ejb-class>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.Integer</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>LargeOrderEnt</abstract-schema-name>
            <cmp-field id="CMPAttribute_1028685977990">
               <field-name>id</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685981686">
               <field-name>salesOrderId</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685984119">
               <field-name>orderLineNumber</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685986522">
               <field-name>assemblyId</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685989166">
               <field-name>qty</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685992121">
               <field-name>dueDate</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1076126570400">
            	<field-name>category</field-name>
            </cmp-field>
            <primkey-field>id</primkey-field>
            <env-entry id="EnvEntry_8">
               <description>The debug level of the bean - higher
           value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <env-entry>
            	<description>States how many categories to split large orders into (1 to n).</description>
            	<env-entry-name>categories</env-entry-name>
            	<env-entry-type>java.lang.Integer</env-entry-type>
            	<env-entry-value>2</env-entry-value>
            </env-entry>
            <ejb-ref id="EjbRef_1028686927445">
               <description>the Sequence Session Bean</description>
               <ejb-ref-name>ejb/SequenceSes</ejb-ref-name>
               <ejb-ref-type>Session</ejb-ref-type>
               <home>org.spec.jappserver.util.sequenceses.ejb.SequenceSesHome</home>
               <remote>org.spec.jappserver.util.sequenceses.ejb.SequenceSes</remote>
               <ejb-link>SequenceSes</ejb-link>
            </ejb-ref>
            <query id="Query_7">
               <query-method id="QueryMethod_7">
                  <method-name>findByOrderLine</method-name>
                  <method-params>
                     <method-param>int</method-param>
                     <method-param>int</method-param>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM LargeOrderEnt AS a WHERE a.salesOrderId = ?1 and a.orderLineNumber = ?2</ejb-ql>
            </query>
            <query id="Query_8">
               <query-method id="QueryMethod_8">
                  <method-name>findAll</method-name>
                  <method-params>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM LargeOrderEnt AS a</ejb-ql>
            </query>
            <query>
            	<description></description>
            	<query-method>
            		<method-name>findByCategory</method-name>
            		<method-params>
            			<method-param>java.lang.Integer</method-param>
            		</method-params>
            	</query-method>
            	<ejb-ql>select object(o) from LargeOrderEnt o where o.category = ?1</ejb-ql>
            </query>
         </entity>
         <entity id="ContainerManagedEntity_1028685928970">
            <description>Inventory Entity bean</description>
            <display-name>InventoryEnt</display-name>
            <ejb-name>InventoryEnt</ejb-name>
            <local-home>org.spec.jappserver.mfg.inventoryent.ejb.InventoryEntHomeLocal</local-home>
            <local>org.spec.jappserver.mfg.inventoryent.ejb.InventoryEntLocal</local>
            <ejb-class>org.spec.jappserver.mfg.inventoryent.ejb.InventoryCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.String</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>InventoryEnt</abstract-schema-name>
            <cmp-field id="CMPAttribute_1028685949069">
               <field-name>partId</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685951953">
               <field-name>qty</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685964791">
               <field-name>location</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685961807">
               <field-name>accCode</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685959053">
               <field-name>accDate</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685955708">
               <field-name>in_ordered</field-name>
            </cmp-field>
            <primkey-field>partId</primkey-field>
            <env-entry id="EnvEntry_9">
               <description>The debug level of the bean - higher
           value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <query id="Query_9">
               <query-method id="QueryMethod_9">
                  <method-name>findAll</method-name>
                  <method-params>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM InventoryEnt AS a</ejb-ql>
            </query>
         </entity>
         <session id="Session_1028685930822">
            <description>Work Order Session Bean</description>
            <display-name>WorkOrderSes</display-name>
            <ejb-name>WorkOrderSes</ejb-name>
            <home>org.spec.jappserver.mfg.workorderses.ejb.WorkOrderSesHome</home>
            <remote>org.spec.jappserver.mfg.workorderses.ejb.WorkOrderSes</remote>
            <ejb-class>org.spec.jappserver.mfg.workorderses.ejb.WorkOrderSesEJB</ejb-class>
            <session-type>Stateless</session-type>
            <transaction-type>Container</transaction-type>
            <env-entry id="EnvEntry_10">
               <description>The debug level of the bean - higher
           value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref id="EJBLocalRef_1028686927587">
               <description>the Work Order Entity Bean</description>
               <ejb-ref-name>ejb/WorkOrderEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.workorderent.ejb.WorkOrderEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.workorderent.ejb.WorkOrderEntLocal</local>
               <ejb-link>WorkOrderEnt</ejb-link>
            </ejb-local-ref>
            <ejb-local-ref id="EJBLocalRef_1028686927586">
               <description>Component Entity Bean</description>
               <ejb-ref-name>ejb/ComponentEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.componentent.ejb.ComponentEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.componentent.ejb.ComponentEntLocal</local>
               <ejb-link>ComponentEnt</ejb-link>
            </ejb-local-ref>
            <ejb-local-ref id="EJBLocalRef_1056034420346">
            	<description></description>
            	<ejb-ref-name>ejb/AssemblyEntLocal</ejb-ref-name>
            	<ejb-ref-type>Entity</ejb-ref-type>
            	<local-home>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyEntHomeLocal</local-home>
            	<local>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyEntLocal</local>
            	<ejb-link>AssemblyEnt</ejb-link>
            </ejb-local-ref>
         </session>
         <session id="Session_1028685930842">
            <description>Mfg Auditing Session Bean</description>
            <display-name>MfgAuditSes</display-name>
            <ejb-name>MfgAuditSes</ejb-name>
            <home>org.spec.jappserver.mfg.mfgauditses.ejb.MfgAuditSesHome</home>
            <remote>org.spec.jappserver.mfg.mfgauditses.ejb.MfgAuditSes</remote>
            <ejb-class>org.spec.jappserver.mfg.mfgauditses.ejb.MfgAuditSesEJB</ejb-class>
            <session-type>Stateless</session-type>
            <transaction-type>Container</transaction-type>
            <env-entry id="EnvEntry_11">
               <description>The debug level of the bean - higher
                value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>3</env-entry-value>
            </env-entry>
            <ejb-local-ref id="EJBLocalRef_1079650739675">
               <description>the Large Order Entity Bean</description>
               <ejb-ref-name>ejb/LargeOrderEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntLocal</local>
               <ejb-link>LargeOrderEnt</ejb-link>
            </ejb-local-ref>
            <resource-ref id="ResourceRef_1028686927566">
               <description>Mfg DB dataSource</description>
               <res-ref-name>MfgDataSource</res-ref-name>
               <res-type>javax.sql.DataSource</res-type>
               <res-auth>Container</res-auth>
            </resource-ref>
         </session>
         <message-driven id="MessageDriven_1045785250833">
         	<display-name>LargeOrderMDB</display-name>
         	<ejb-name>LargeOrderMDB</ejb-name>
         	<ejb-class>org.spec.jappserver.mfg.largeordermdb.ejb.LargeOrderMDB</ejb-class>
         	<transaction-type>Container</transaction-type>
         	<message-driven-destination>
         		<destination-type>javax.jms.Queue</destination-type>
         	</message-driven-destination>
         	<env-entry>
               <description>
                   The debug level of the bean - higher
                   value means more information.
               </description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
         	<ejb-local-ref id="EJBLocalRef_1045846361985">
         		<description></description>
         		<ejb-ref-name>ejb/LargeOrderEntLocal</ejb-ref-name>
         		<ejb-ref-type>Entity</ejb-ref-type>
         		<local-home>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntHomeLocal</local-home>
         		<local>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntLocal</local>
         		<ejb-link>LargeOrderEnt</ejb-link>
         	</ejb-local-ref>
         </message-driven>
         <message-driven id="MessageDriven_1045838338648">
         	<display-name>ReceiveMDB</display-name>
         	<ejb-name>ReceiveMDB</ejb-name>
         	<ejb-class>org.spec.jappserver.mfg.receivemdb.ejb.ReceiveMDB</ejb-class>
         	<transaction-type>Container</transaction-type>
         	<message-driven-destination>
         		<destination-type>javax.jms.Queue</destination-type>
         	</message-driven-destination>
         	<env-entry>
               <description>
                   The debug level of the bean - higher
                   value means more information.
               </description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
         	<ejb-local-ref id="EJBLocalRef_1045846362025">
         		<description></description>
         		<ejb-ref-name>ejb/ComponentEntLocal</ejb-ref-name>
         		<ejb-ref-type>Entity</ejb-ref-type>
         		<local-home>org.spec.jappserver.mfg.componentent.ejb.ComponentEntHomeLocal</local-home>
         		<local>org.spec.jappserver.mfg.componentent.ejb.ComponentEntLocal</local>
         		<ejb-link>ComponentEnt</ejb-link>
         	</ejb-local-ref>
         </message-driven>
      </enterprise-beans>
      <relationships id="Relationships_1">
         <ejb-relation id="EJBRelation_1">
            <description>Component-Inventory</description>
            <ejb-relation-name>Component-Inventory</ejb-relation-name>
            <ejb-relationship-role id="EJBRelationshipRole_1028686115037">
               <ejb-relationship-role-name>Component-has-a-Inventory</ejb-relationship-role-name>
               <multiplicity>One</multiplicity>
               <relationship-role-source id="RoleSource_1033423466477">
                  <ejb-name>ComponentEnt</ejb-name>
               </relationship-role-source>
               <cmr-field id="CMRField_1">
                  <cmr-field-name>inventory</cmr-field-name>
               </cmr-field>
            </ejb-relationship-role>
            <ejb-relationship-role id="EJBRelationshipRole_1028686256260">
               <ejb-relationship-role-name>Inventory-has-a-Component</ejb-relationship-role-name>
               <multiplicity>One</multiplicity>
               <relationship-role-source id="RoleSource_1033423466478">
                  <ejb-name>InventoryEnt</ejb-name>
               </relationship-role-source>
            </ejb-relationship-role>
         </ejb-relation>
         <ejb-relation id="EJBRelation_2">
            <description>Assembly-Inventory</description>
            <ejb-relation-name>Assembly-Inventory</ejb-relation-name>
            <ejb-relationship-role id="EJBRelationshipRole_1028686254067">
               <ejb-relationship-role-name>Assembly-has-a-Inventory</ejb-relationship-role-name>
               <multiplicity>One</multiplicity>
               <relationship-role-source id="RoleSource_1033423466479">
                  <ejb-name>AssemblyEnt</ejb-name>
               </relationship-role-source>
               <cmr-field id="CMRField_2">
                  <cmr-field-name>inventory</cmr-field-name>
               </cmr-field>
            </ejb-relationship-role>
            <ejb-relationship-role id="EJBRelationshipRole_1028686256270">
               <ejb-relationship-role-name>Inventory-has-a-Assembly</ejb-relationship-role-name>
               <multiplicity>One</multiplicity>
               <relationship-role-source id="RoleSource_1033423466480">
                  <ejb-name>InventoryEnt</ejb-name>
               </relationship-role-source>
            </ejb-relationship-role>
         </ejb-relation>
         <ejb-relation id="EJBRelation_3">
            <description>WorkOrder-Assembly</description>
            <ejb-relation-name>WorkOrder-Assembly</ejb-relation-name>
            <ejb-relationship-role id="EJBRelationshipRole_1028686033290">
               <ejb-relationship-role-name>WorkOrder-has-a-Assembly</ejb-relationship-role-name>
               <multiplicity>Many</multiplicity>
               <relationship-role-source id="RoleSource_5">
                  <ejb-name>WorkOrderEnt</ejb-name>
               </relationship-role-source>
               <cmr-field id="CMRField_3">
                  <cmr-field-name>assembly</cmr-field-name>
               </cmr-field>
            </ejb-relationship-role>
            <ejb-relationship-role id="EJBRelationshipRole_1028686256090">
               <ejb-relationship-role-name>Assembly-has-many-WorkOrders</ejb-relationship-role-name>
               <multiplicity>One</multiplicity>
               <relationship-role-source id="RoleSource_6">
                  <ejb-name>AssemblyEnt</ejb-name>
               </relationship-role-source>
            </ejb-relationship-role>
         </ejb-relation>
         <ejb-relation id="EJBRelation_4">
            <description>Bom-Component</description>
            <ejb-relation-name>Bom-Component</ejb-relation-name>
            <ejb-relationship-role id="EJBRelationshipRole_1028686154684">
               <ejb-relationship-role-name>Bom-has-a-Component</ejb-relationship-role-name>
               <multiplicity>Many</multiplicity>
               <relationship-role-source id="RoleSource_7">
                  <ejb-name>BomEnt</ejb-name>
               </relationship-role-source>
               <cmr-field id="CMRField_4">
                  <cmr-field-name>component</cmr-field-name>
               </cmr-field>
            </ejb-relationship-role>
            <ejb-relationship-role id="EJBRelationshipRole_1028686256261">
               <ejb-relationship-role-name>Component-has-many-Bom</ejb-relationship-role-name>
               <multiplicity>One</multiplicity>
               <relationship-role-source id="RoleSource_8">
                  <ejb-name>ComponentEnt</ejb-name>
               </relationship-role-source>
            </ejb-relationship-role>
         </ejb-relation>
         <ejb-relation>
         	<description>AssemblyEnt-BomEnt</description>
         	<ejb-relation-name>AssemblyEnt-BomEnt</ejb-relation-name>
         	<ejb-relationship-role id="EJBRelationshipRole_1051722741416">
         		<ejb-relationship-role-name>BOM-has-a-Assembly</ejb-relationship-role-name>
         		<multiplicity>Many</multiplicity>
         		<relationship-role-source>
         			<ejb-name>BomEnt</ejb-name>
         		</relationship-role-source>
         		<cmr-field>
         			<cmr-field-name>assembly</cmr-field-name>
         		</cmr-field>
         	</ejb-relationship-role>
         	<ejb-relationship-role id="EJBRelationshipRole_1051722717872">
         		<ejb-relationship-role-name>Assembly-has-BOMs</ejb-relationship-role-name>
         		<multiplicity>One</multiplicity>
         		<relationship-role-source>
         			<ejb-name>AssemblyEnt</ejb-name>
         		</relationship-role-source>
         		<cmr-field>
         			<cmr-field-name>bOMs</cmr-field-name>
         			<cmr-field-type>java.util.Collection</cmr-field-type>
         		</cmr-field>
         	</ejb-relationship-role>
         </ejb-relation>
      </relationships>
      <assembly-descriptor id="AssemblyDescriptor_ID">
         <method-permission id="MethodPermission_1034210758922">
            <description>Generated unchecked method permission</description>
            <unchecked></unchecked>
            <method id="MethodElement_1034210758938">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>isIdentical</method-name>
               <method-params>
                  <method-param>javax.ejb.EJBLocalObject</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210758939">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getHimark</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758940">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getLomark</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758941">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPlanner</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758942">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPurchased</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758943">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getType</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758944">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPrimaryKey</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758945">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getDescription</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758946">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getId</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758947">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getName</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758948">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getRevision</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758950">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getEJBLocalHome</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758951">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>remove</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758952">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>addInventory</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210758953">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>deliver</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210758954">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>takeInventory</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210758962">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findAll</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758963">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>create</method-name>
               <method-params>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210758964">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByPrimaryKey</method-name>
               <method-params>
                  <method-param>java.lang.String</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210758965">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210758966">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>BomEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>isIdentical</method-name>
               <method-params>
                  <method-param>javax.ejb.EJBLocalObject</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210758967">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>BomEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getLineNo</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758968">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>BomEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getOpsNo</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758969">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>BomEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getQty</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758970">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>BomEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPrimaryKey</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758971">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>BomEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getAssemblyId</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758972">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>BomEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getComponentId</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758973">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>BomEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getEngChange</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758974">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>BomEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getOpsDesc</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758975">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>BomEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getEJBLocalHome</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758976">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>BomEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getComponent</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758977">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>BomEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>remove</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758986">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>BomEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findAll</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758987">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>BomEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findBomForAssembly</method-name>
               <method-params>
                  <method-param>java.lang.String</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210758988">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>BomEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>create</method-name>
               <method-params>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210758989">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>BomEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByPrimaryKey</method-name>
               <method-params>
                  <method-param>org.spec.jappserver.mfg.boment.ejb.BomEntPK</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210758990">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>BomEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210758991">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>isIdentical</method-name>
               <method-params>
                  <method-param>javax.ejb.EJBLocalObject</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210758992">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getHimark</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758993">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getLomark</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758994">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPlanner</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758995">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPurchased</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758996">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getQtyRequired</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210758997">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getType</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758998">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPrimaryKey</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210758999">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getDescription</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759000">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getId</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759001">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getName</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759002">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getRevision</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759003">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getEJBLocalHome</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759004">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>remove</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759005">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>addInventory</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759006">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>addOrderedInventory</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759007">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>deliver</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759008">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>takeInventory</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759016">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findAll</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759017">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>create</method-name>
               <method-params>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759018">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByPrimaryKey</method-name>
               <method-params>
                  <method-param>java.lang.String</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759019">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ComponentEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759020">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>PartEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>isIdentical</method-name>
               <method-params>
                  <method-param>javax.ejb.EJBLocalObject</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759021">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>PartEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getHimark</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759022">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>PartEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getLomark</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759023">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>PartEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPlanner</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759024">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>PartEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPurchased</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759025">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>PartEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getType</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759026">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>PartEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPrimaryKey</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759027">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>PartEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getDescription</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759028">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>PartEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getId</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759029">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>PartEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getName</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759030">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>PartEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getRevision</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759031">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>PartEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getEJBLocalHome</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759032">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>PartEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>remove</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759040">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>PartEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findAll</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759041">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>PartEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>create</method-name>
               <method-params>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759042">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>PartEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByPrimaryKey</method-name>
               <method-params>
                  <method-param>java.lang.String</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759043">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>PartEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759044">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>getEJBMetaData</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759045">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>getHomeHandle</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759046">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>create</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759047">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759048">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>javax.ejb.Handle</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759049">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>isIdentical</method-name>
               <method-params>
                  <method-param>javax.ejb.EJBLocalObject</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759050">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>cancel</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759051">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getCompQty</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759052">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getOLineId</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759053">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getOrigQty</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759054">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getQtyToOrder</method-name>
               <method-params>
                  <method-param>java.lang.String</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759055">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getSalesId</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759056">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getStatus</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759057">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getId</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759058">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPrimaryKey</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759059">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getAssemblyId</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759060">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getDueDate</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759061">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getStartDate</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759062">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getComponentDemand</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759063">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getEJBLocalHome</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759064">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>remove</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759065">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>finish</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759066">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>process</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759067">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>update</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759076">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findAll</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759077">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>create</method-name>
               <method-params>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>int</method-param>
                  <method-param>java.sql.Date</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759078">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>create</method-name>
               <method-params>
                  <method-param>java.lang.String</method-param>
                  <method-param>int</method-param>
                  <method-param>java.sql.Date</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759079">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByPrimaryKey</method-name>
               <method-params>
                  <method-param>java.lang.Integer</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759080">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759086">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>isIdentical</method-name>
               <method-params>
                  <method-param>javax.ejb.EJBLocalObject</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759087">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getOrderLineNumber</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759088">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getSalesOrderId</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759089">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getId</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759090">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPrimaryKey</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759091">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getAssemblyId</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759092">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getDueDate</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759093">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getEJBLocalHome</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759094">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getLargeOrderInfo</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759095">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getQty</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759096">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>remove</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759105">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findAll</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759106">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>create</method-name>
               <method-params>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>short</method-param>
                  <method-param>java.sql.Date</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759107">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByOrderLine</method-name>
               <method-params>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759108">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByPrimaryKey</method-name>
               <method-params>
                  <method-param>java.lang.Integer</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759109">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>LargeOrderEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759110">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>InventoryEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>isIdentical</method-name>
               <method-params>
                  <method-param>javax.ejb.EJBLocalObject</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759111">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>InventoryEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getAccCode</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759112">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>InventoryEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getOnHand</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759113">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>InventoryEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getOrdered</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759114">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>InventoryEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getQty</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759115">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>InventoryEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPrimaryKey</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759116">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>InventoryEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getLocation</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759117">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>InventoryEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPartId</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759118">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>InventoryEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getAccDate</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759119">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>InventoryEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getEJBLocalHome</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759120">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>InventoryEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>remove</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759121">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>InventoryEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>add</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759122">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>InventoryEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>addOrdered</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759123">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>InventoryEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>take</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759124">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>InventoryEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>takeOrdered</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759132">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>InventoryEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findAll</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759133">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>InventoryEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>create</method-name>
               <method-params>
                  <method-param>java.lang.String</method-param>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
                  <method-param>java.lang.String</method-param>
                  <method-param>int</method-param>
                  <method-param>java.sql.Date</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759134">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>InventoryEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByPrimaryKey</method-name>
               <method-params>
                  <method-param>java.lang.String</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759135">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>InventoryEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759136">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>getEJBMetaData</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759137">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>getHomeHandle</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759138">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>create</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759139">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759140">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>WorkOrderSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>javax.ejb.Handle</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759141">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>MfgAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>getEJBMetaData</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759142">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>MfgAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>getHomeHandle</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759143">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>MfgAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>create</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759144">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>MfgAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759145">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>MfgAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>javax.ejb.Handle</method-param>
               </method-params>
            </method>
         </method-permission>
         <container-transaction id="MethodTransaction_1">
            <method id="MethodElement_1">
               <ejb-name>AssemblyEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_2">
            <method id="MethodElement_2">
               <ejb-name>BomEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_3">
            <method id="MethodElement_3">
               <ejb-name>ComponentEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_4">
            <method id="MethodElement_4">
               <ejb-name>LargeOrderSes</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_5">
            <description>no description</description>
            <method id="MethodElement_5">
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_7">
            <method id="MethodElement_7">
               <ejb-name>LargeOrderEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_8">
            <method id="MethodElement_8">
               <ejb-name>InventoryEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_9">
            <method id="MethodElement_9">
               <ejb-name>WorkOrderSes</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_10">
            <method id="MethodElement_10">
               <ejb-name>MfgAuditSes</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_11">
            <method id="MethodElement_11">
               <ejb-name>PartEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <method>
               <ejb-name>ReceiveMDB</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <method>
               <ejb-name>LargeOrderMDB</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
      </assembly-descriptor>
   </ejb-jar>
